Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries

From: Pierre Neidhardt <[email-masked]>
Date: Sat, 18 Jan 2020 11:50:08 +0100

Ludovic Courtès <[email-masked]> writes:

> That cannot work: this libcurl.so is linked against a different libc
> (among other things) than the ‘sbcl’ program from Guix, so trying to
> load it in a running Guix ‘sbcl’ is bound to fail.

Are you sure?  I've done this many time before and it worked.

> What would work instead is loading Guix’ libcurl.so.  I suppose you
> could do that by removing /usr/lib from ‘*foreign-library-directories*’.

I think there is a misunderstanding :)
The original question was specifically about loading a .so from the
foreign distribution, so this would do it :p

Cheers!

-- 
Pierre Neidhardt
https://ambrevar.xyz/